server:
  port: 14501
  tomcat:
    accept-count: 500
    threads:
      min-spare: 100
      max: 500
logging:
  level:
    org.springframework: WARN
    org.spring.springboot.dao: debug
  file: logs/spring-boot-logging.log

spring:
  datasource:
    basic:
      driver-class-name: com.mysql.cj.jdbc.Driver
      jdbc-url: jdbc:mysql://rm-bp1e256x5j4322g38.mysql.rds.aliyuncs.com:3306/dw_config?allowMultiQueries=true
      username: kingkong
      password: Kk20241112$1112bB
      type: com.zaxxer.hikari.HikariDataSource
      hikari:
        maximum-pool-size: 20
        minimum-idle: 10
        auto-commit: true
        idle-timeout: 30000
        pool-name: basicHikariCP
        max-lifetime: 1800000
        connection-timeout: 30000
        connection-test-query: SELECT 1

  cache.jcache.config: classpath:ehcache.xml

  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    locale: zh_CN
    time-zone: GMT+8
    deserialization:
      fail-on-unknown-properties: false

schemaName: public

pekon:
  query-timeout: 600
  show-slow-sql-millis: 2000
mybatis:
  configuration:
    log-impl: org.apache.ibatis.logging.slf4j.Slf4jImpl